Subject: Re: bug#12478: cat SEGV when I press Ctrl-Alt-SysRq-1 on text console

From: bronek <[email-masked]>
Date: Wed, 3 Oct 2012 19:20:53 +0200

Yes, coreutils was a mistake, because they've stupid autocomplete
textfield, when typing kernel, ubuntu or other keywords which I've tried,
all the time was too general, so how do I know what other options are if I
don't see any results (at last first 10?)? So I was happy to type anything
there with the idea to change it later.

I'm not much community person, once I was posting some problems/bugs on
FreeBSD forum, they call me crazy, that nobody has that kind of problems
(they call it magic), so mostly everything was ignored.
So basically I hate forums. In example Apple has some community forum
(instead of bug tracker), I've posted all my kernel crash backtraces
(generated almost once a day) and other stuff and the problem was ignored
as well, so basically problem exists, but nobody care. Secondly I'm not
doing this for a pleasure, most of the time it preventing me to work
properly (I'm not inventing this stuff, this just happens). If I'm spending
couple of hours daily (if not the whole day) only creating the bugs, so I
would spent the whole day on forums analysing and discussing the problem
and from my experience most of the time people on the forum have no any
technical knowledge at all, if they do - they say google it (even if they
don't understand the problem). So I'm kind of bug guy by the choice. And I
clearly see that this is the bug, but I don't know where yet.

---
Kind regards,
Rafal

On 3 October 2012 18:02, Bob Proulx <[email-masked]> wrote:

> Rafal W. wrote:
> > Thanks for your help.
> > I've reported this bug against Ubuntu.
> > Follow-up:
> https://bugs.launchpad.net/ubuntu/+source/coreutils/+bug/1060767
>
> Since you are using Ubuntu that is the right place to pursue the key
> mapping problem.  Your report there included good information.
>
> But...  You sent your report against the coreutils package and we
> already determined here that this is not related to coreutils.  That
> means that your bug report against the coreutils package there was
> incorrectly aimed from the start.
>
> Since the problem on your system is very likely something configured
> specifically on your system and not generally elsewhere.  I don't have
> an Ubuntu system to test this on but I doubt the key sequence there
> would do any different than on my Debian machine.  Could be wrong
> though.  In any case the first task is to get to the root cause of it.
>
> When I have these types of problems I don't go directly to a bug
> report.  For one thing it is often a problem to determine the correct
> target to submit against.  As is the case here where twice you have
> been submitting against coreutils but your issue has nothing to do
> with coreutils.  We have just been trying to be helpful.
>
> Instead I go for help discussion on the users mailing list.  Some
> discussion it is often very helpful at determining the root cause.
> And then with that information sending a targeted bug report against
> the root cause of the problem will usually yield better results.
> Especially in this case where I think it is likely to be a key mapping
> issue and I have no idea what part of the distro would manage that
> part of the system.  Could be console-tools.  Could be kbd.  Could be
> something else entirely.  Don't know.  Would need to find that first.
>
> The same is true here.  The coreutils general discussion list is
> [email-masked] and we welcome discussion there before submitting a
> bug report.  If in the future you have questions or comments it would
> be great if you would open the discussion there.
>
> For Ubuntu the users mailing lists are described here:
>
>   https://wiki.ubuntu.com/UbuntuUsersListFAQ
>
>   http://www.ubuntu.com/support/community/mailing-lists
>
> I would take the problem there next.
>
> Good luck!
> Bob
>
>